Cannot enable Oracle Spatial support in Mapserver 6.4 #4901

Closed
mcomelli opened this Issue Mar 31, 2014 · 3 comments

Projects

None yet

3 participants

@mcomelli

I'm trying to configure Mapserver 6.4.1 (on CentOS 6.5 - x86_64) with Oracle support. Trying:
cmake ... -DWITH_ORACLESPATIAL=/path/to/oracle

in Optional components list I get:
Oracle Spatial: disabled

Using the same Oracle path, after running configure in Mapserver 6.2.2, typing mapserv -v I correctly get:

MapServer version 6.2.2 ... INPUT=ORACLESPATIAL

so it doesn't depend on Oracle client install, env variables, defined Oracle path. I wonder if it's due to a problem in cmake.

@tbonfort
Member
export ORACLE_HOME=/path/to/oracle
cmake .. -DWITH_ORACLESPATIAL=1
@mcomelli

Ok, it's working with instantclient 11.2, not with 12.1
Thanks
Moreno

@mapserver-bot

This is an automated comment

This issue has been closed due to lack of activity. This doesn't mean the issue is invalid, it simply got no attention within the last year. Please reopen with missing/relevant information if still valid.

Typically, issues fall in this state for one of the following reasons:

  • Hard, impossible or not enough information to reproduce
  • Missing test case
  • Lack of a champion with interest and/or funding to address the issue
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment